//genesis
// This simulation generates expamples of Ca2+ responses dependent on 
// the temporal order of PF and CF inputs.

include DoiCaModel.g

setclock 0 1e-06
setclock 1 1e-06
MAXTIME = 2.0001

function maketimedepend(delay)
    float delay

        setfield /kinetics/Influx/CF input {-0.001 * delay - 0.5}
        reset
	echo "Running simulation with PF-CF interval =" {delay} "msec"
        step {MAXTIME} -time
        do_save_named_plot /graphs/conc2/Ca.Co {"./simresult/fig11A/CFat" @ {delay} @ "msec_Ca.plot"}
end

maketimedepend -100
maketimedepend  200
maketimedepend  500


echo "Simulation has done!"
echo "Type 'quit' to exit GENESIS/kinetikit"


















