//genesis
// This simulation shows Ca2+ responses dependent on 
// the temporal order of PF and CF inputs, though IP3 time course are not.

include DoiCaModel.g

setclock 0 1e-06
setclock 1 1e-06
MAXTIME = 2.0001

function maketimedepend(delay)
    float delay

        setfield /kinetics/Influx/CF input {-0.001 * delay - 0.5}
        reset
	echo "Running simulation with PF-CF interval =" {delay} "msec"
        step {MAXTIME} -time
        do_save_named_plot /graphs/conc2/Ca.Co {"./simresult/fig5/CFat" @ {delay} @ "msec_Ca.plot"}
        do_save_named_plot /graphs/conc1/IP3_spine.Co {"./simresult/fig5/CFat" @ {delay} @ "msec_IP3.plot"}
end

maketimedepend -200
maketimedepend -150
maketimedepend -100
maketimedepend  -50
maketimedepend    0
maketimedepend   50
maketimedepend  100
maketimedepend  150
maketimedepend  200
maketimedepend  250
maketimedepend  300
maketimedepend  350
maketimedepend  400

// generate control IP3 time course
setfield /kinetics/Influx/CF input 100
reset
echo "Generating control IP3 time course"
        step {MAXTIME} -time
        do_save_named_plot /graphs/conc2/Ca.Co {"./simresult/fig5/PFalone_Ca.plot"}
        do_save_named_plot /graphs/conc1/IP3_spine.Co {"./simresult/fig5/PFalone_IP3.plot"}


echo "Simulation has done!"
echo "Type 'quit' to exit GENESIS/kinetikit"


















