//genesis
// This simulation generates the time window of Ca2+ responses
// to PF-CF inputs, dependent on PF-CF interval.

include DoiCaModel.g


function maketimewindow(start_delay, end_delay, step_delay, filehead)
    str   filehead
    str   filefullname
    float start_delay
    float end_delay
    float step_delay
    float delay

        end_delay = end_delay + 0.5

    for(delay = start_delay; delay <= end_delay; delay = delay + step_delay)
        setfield /kinetics/Influx/CF input {-0.001 * delay - 0.5}
        filefullname = {"./simresult/fig6B/" @ {filehead} @ "CFat" @ {delay} @ "msec.plot"}
        reset
        step {MAXTIME} -time
        do_save_named_plot /moregraphs/conc4/MgGreen*.Co {filefullname}
        echo "Saved as "{filefullname}
    end
end


echo "Running simulation of Ca2+ tiwe window with normal IP3"
maketimewindow     -500 600 10 F_

echo "Running simulation of Ca2+ tiwe window with transient IP3"
setfield /kinetics/PLC/inact_Gq_by_PLC-PIP2    kf 40
setfield /kinetics/PLC/inact_Gq_by_PLC-PIP2-Ca kf 40
setfield /kinetics/PLC/inact_Gq_by_PLC-Ca      kf 40
setfield /kinetics/PLC/IP3_prd_with_Gq         kf 560
maketimewindow -500 600 10 F_fastIP3

echo "Running simulation of Ca2+ tiwe window with sustained IP3"
setfield /kinetics/PLC/inact_Gq_by_PLC-PIP2    kf  1.6
setfield /kinetics/PLC/inact_Gq_by_PLC-PIP2-Ca kf  1.6
setfield /kinetics/PLC/inact_Gq_by_PLC-Ca      kf  1.6
setfield /kinetics/PLC/IP3_prd_with_Gq         kf 80
maketimewindow -500 600 10 F_slowIP3

echo "Simulation has done!"
echo "Type 'quit' to exit GENESIS/kinetikit"

