//genesis
// This simulation generates IP3 time courses 
// when enzymatic parameter values in the mGluR pathway are varied.

include DoiCaModel.g


setfield /kinetics/Influx/CF input 100          /* CF input starts at -100 sec */

setfield /kinetics/PLC/inact_Gq_by_PLC-PIP2    kf 40
setfield /kinetics/PLC/inact_Gq_by_PLC-PIP2-Ca kf 40
setfield /kinetics/PLC/inact_Gq_by_PLC-Ca      kf 40
setfield /kinetics/PLC/IP3_prd_with_Gq         kf 560
echo "Increased IP3 productivity of PLCbeta"
echo "Increased GAP activity"
step {MAXTIME} -time
do_save_named_plot /graphs/conc1/IP3_spine.Co      {"./simresult/fig6C/fastIP3PFalone_IP3.plot"}
reset

setfield /kinetics/PLC/inact_Gq_by_PLC-PIP2    kf  1.6
setfield /kinetics/PLC/inact_Gq_by_PLC-PIP2-Ca kf  1.6
setfield /kinetics/PLC/inact_Gq_by_PLC-Ca      kf  1.6
setfield /kinetics/PLC/IP3_prd_with_Gq         kf 80
echo "Decreased IP3 productivity of PLCbeta"
echo "Decreased GAP activity"
step {MAXTIME} -time
do_save_named_plot /graphs/conc1/IP3_spine.Co      {"./simresult/fig6C/slowIP3PFalone_IP3.plot"}
reset

setfield /kinetics/PLC/inact_Gq_by_PLC-PIP2    kf   8
setfield /kinetics/PLC/inact_Gq_by_PLC-PIP2-Ca kf   8
setfield /kinetics/PLC/inact_Gq_by_PLC-Ca      kf   8
setfield /kinetics/PLC/IP3_prd_with_Gq         kf 160
echo "Control IP3 productivity of PLCbeta"
echo "Control GAP activity"
step {MAXTIME} -time
do_save_named_plot /graphs/conc1/IP3_spine.Co      {"./simresult/fig6C/controlIP3PFalone_IP3.plot"}


echo "Simulation has done!"
echo "Type 'quit' to exit GENESIS/kinetikit"








