//genesis
// This simulation shows Ca2+ responses dependent on 
// the temporal order of PF and CF inputs without calbindin-D28k.

include DoiCaModel.g

setclock 0 1e-06
setclock 1 1e-06
MAXTIME = 2.0001


function maketimedepend(delay)
    float delay

        setfield /kinetics/Influx/CF input {-0.001 * delay - 0.5}
        reset
	echo "Running simulation with PF-CF interval =" {delay} "msec"
        step {MAXTIME} -time
        do_save_named_plot /graphs/conc2/Ca.Co {"./simresult/fig7A/noCB_CFat" @ {delay} @ "msec_Ca.plot"}
end

setfield /kinetics/CaBuf/Calbindin-D28k CoInit 0
setfield /kinetics/CaBuf/CB-2Ca         CoInit 0
echo "Set the concentration of Calbindin-D28k to 0"

maketimedepend -300
maketimedepend -200
maketimedepend -100
maketimedepend    0
maketimedepend  100
maketimedepend  200
maketimedepend  300
maketimedepend  400
maketimedepend  500
maketimedepend  600
maketimedepend  700
maketimedepend  800

echo "Simulation has done!"
echo "Type 'quit' to exit GENESIS/kinetikit"
