//genesis
// This simulation generates the time window of Ca2+ responses
// to PF-CF inputs without calbindin-D28 and/or parvalbumin.

include DoiCaModel.g


// 

function maketimewindow(start_delay, end_delay, step_delay, filehead)
    str   filehead
    str   filefullname
    float start_delay
    float end_delay
    float step_delay
    float delay

        end_delay = end_delay + 0.5

    for(delay = start_delay; delay <= end_delay; delay = delay + step_delay)
        setfield /kinetics/Influx/CF input {-0.001 * delay - 0.5}
        filefullname = {"./simresult/fig7B/" @ {filehead} @ "CFat" @ {delay} @ "msec.plot"}
        reset
        step {MAXTIME} -time
        do_save_named_plot /moregraphs/conc4/MgGreen*.Co {filefullname}
        echo "Saved as "{filefullname}
    end
end

setfield /kinetics/CaBuf/Calbindin-D28k CoInit  0
setfield /kinetics/CaBuf/CB-2Ca         CoInit  0
echo "Running simulation of Ca2+ tiwe window without calbindin-D28k"
maketimewindow     -500 600 10 F_noCB
setfield /kinetics/CaBuf/Calbindin-D28k CoInit  97.5
setfield /kinetics/CaBuf/CB-2Ca         CoInit  2.5
reset

setfield /kinetics/CaBuf/parvalbumin    CoInit  0
setfield /kinetics/CaBuf/PV-Ca          CoInit  0
echo "Running simulation of Ca2+ tiwe window without parvalbumin"
maketimewindow     -500 600 10 F_noPV
reset

setfield /kinetics/CaBuf/Calbindin-D28k CoInit  0
setfield /kinetics/CaBuf/CB-2Ca         CoInit  0
echo "Running simulation of Ca2+ tiwe window without calbindin-D28k"
maketimewindow     -500 600 10 F_noCBPV
reset

setfield /kinetics/CaBuf/Calbindin-D28k CoInit 97.5
setfield /kinetics/CaBuf/CB-2Ca         CoInit  2.5
setfield /kinetics/CaBuf/parvalbumin    CoInit 23
setfield /kinetics/CaBuf/PV-Ca          CoInit 27
echo "Running simulation of control Ca2+ tiwe window"
maketimewindow     -500 600 10 F_control


echo "Simulation has done!"
echo "Type 'quit' to exit GENESIS/kinetikit"
