//genesis
// This simulation generates IP3 time courses 
// when values for sensitive enzymatic parameters are varied.

include DoiCaModel.g


setfield /kinetics/Influx/CF input 100          /* CF input starts at -100 sec */



function vary_param(select_num, ratio)
        int select_num
        float ratio
if      (select_num == 64)
        setfield /kinetics/mGluR/Activate_Gq kf {116.0 * {ratio}}
elif    (select_num == 66)
        setfield /kinetics/PLC/IP3_prd_without_Gq kf {2.0 * {ratio}}
elif    (select_num == 71)
        setfield /kinetics/IP3deg/IP3K_deg_IP3 kf {20.0 * {ratio}}
end
end


function resize_param(select_num)
        int select_num

if      (select_num == 64)
        setfield /kinetics/mGluR/Activate_Gq kf {116.0}
elif    (select_num == 66)
        setfield /kinetics/PLC/IP3_prd_without_Gq kf {2.0}
elif    (select_num == 71)
        setfield /kinetics/IP3deg/IP3K_deg_IP3 kf {20.0}
end
end


function makeparamsIP3(select_num, ratio, filemid)
        int   select_num
        float ratio
        str   filemid

        reset
	echo "Generating" {filemid} ", ratio =" {ratio}
        step {0.5}   -time
        vary_param {select_num} {ratio}
        step {1.5001} -time

        do_save_named_plot /graphs/conc1/IP3_spine.Co {"./simresult/fig9/paramsIP3" @ {filemid} @ "ratio" @ {ratio} @ "_IP3.plot"}

        resize_param {select_num}
end


makeparamsIP3 64  2.0 fig9A
makeparamsIP3 64  5.0 fig9A
makeparamsIP3 64 10.0 fig9A
makeparamsIP3 64  0.5 fig9A
makeparamsIP3 64  0.2 fig9A
makeparamsIP3 64  0.1 fig9A
makeparamsIP3 64  1.0 fig9A
makeparamsIP3 66  2.0 fig9B
makeparamsIP3 66  5.0 fig9B
makeparamsIP3 66 10.0 fig9B
makeparamsIP3 66  0.5 fig9B
makeparamsIP3 66  0.2 fig9B
makeparamsIP3 66  0.1 fig9B
makeparamsIP3 66  1.0 fig9B
makeparamsIP3 71  2.0 fig9C
makeparamsIP3 71  5.0 fig9C
makeparamsIP3 71 10.0 fig9C
makeparamsIP3 71  0.5 fig9C
makeparamsIP3 71  0.2 fig9C
makeparamsIP3 71  0.1 fig9C
makeparamsIP3 71  1.0 fig9C

echo "Simulation has done!"
echo "Type 'quit' to exit GENESIS/kinetikit"










