//genesis
// This simulation generates IP3 time courses 
// when the value for parameter a5 is varied.

include DoiCaModel.g


setfield /kinetics/Influx/CF input 100          /* CF input starts at -100 sec */


function makeparamsIP3(ratio)
        float ratio

        reset
	echo "Generating figS2A, ratio =" {ratio}
        step {0.5}   -time
        setfield /kinetics/mGluR/Activate_Gq kf {116.0 * {ratio}}
        step {1.5001} -time

        do_save_named_plot /graphs/conc1/IP3_spine.Co {"./simresult/figS2A/paramsIP3ratio" @ {ratio} @ "_IP3.plot"}
        setfield /kinetics/mGluR/Activate_Gq kf {116.0}
end


makeparamsIP3   2.0
makeparamsIP3   5.0
makeparamsIP3  10.0
makeparamsIP3  20.0
makeparamsIP3  50.0
makeparamsIP3 100.0
makeparamsIP3   0.5
makeparamsIP3   0.2
makeparamsIP3   0.1
makeparamsIP3   0.05
makeparamsIP3   0.02
makeparamsIP3   0.01
makeparamsIP3   1.0

echo "Simulation has done!"
echo "Type 'quit' to exit GENESIS/kinetikit"








