//genesis
// This simulation generates Ca2+ time window
// when the value for parameter a1 is varied.

include DoiCaModel.g


setfield /kinetics/Influx/CF input 100          /* CF input starts at -100 sec */


function makeparamstw(ratio)
        float ratio
        float start_delay = -500
        float end_delay   =  600
	float step_delay  =   10
        float delay
	str filefullname

        end_delay = end_delay + 0.5

        for(delay = start_delay; delay <= end_delay; delay = delay + step_delay)
        setfield /kinetics/Influx/CF input {-0.001 * delay - 0.5}

	reset
        echo "Generating figS2F, ratio =" {ratio} "and PF-CF interval =" {delay} "msec"
        if(delay <= 0)
                step {0.001 * delay + 0.5} -time
        else
                step {0.5} -time
        end

	setfield /kinetics/mGluR/Glu_bind_mGluR kf {11.111 /1.2 / {ratio}}
        setfield /kinetics/mGluR/Glu_bind_mGluR kb {100.0 / {ratio}}
        if(delay <= 0)
            step {1.5001 - 0.001 * delay} -time
        else
            step {1.5001} -time
        end

        filefullname = {"./simresult/figS2F/F_ratio"@ {ratio} @"_CFat"@ {delay} @ "msec.plot"}
        do_save_named_plot /moregraphs/conc4/MgGreen*.Co {filefullname}
        echo "saved as "{filefullname}

        setfield /kinetics/mGluR/Glu_bind_mGluR kf {11.111 /1.2}
        setfield /kinetics/mGluR/Glu_bind_mGluR kb {100.0} 
    end
end


makeparamstw   2.0
makeparamstw   5.0
makeparamstw  10.0
makeparamstw  20.0
makeparamstw  50.0
makeparamstw 100.0
makeparamstw   0.5
makeparamstw   0.2
makeparamstw   0.1
makeparamstw   0.05
makeparamstw   0.02
makeparamstw   0.01
makeparamstw   1.0


echo "Simulation has done!"
echo "Type 'quit' to exit GENESIS/kinetikit"




