//genesis
// This simulation generates the control time window of Ca2+ responses.

include DoiCaModel.g


function maketimewindow(start_delay, end_delay, step_delay, filehead)
    str   filehead
    str   filefullname
    float start_delay
    float end_delay
    float step_delay
    float delay

        end_delay = end_delay + 0.5

    for(delay = start_delay; delay <= end_delay; delay = delay + step_delay)
        setfield /kinetics/Influx/CF input {-0.001 * delay - 0.5}
        filefullname = {"./simresult/figS2G/" @ {filehead} @ "CFat" @ {delay} @ "msec.plot"}
        reset
        step {MAXTIME} -time
        do_save_named_plot /moregraphs/conc4/MgGreen*.Co {filefullname}
        echo "Saved as "{filefullname}
    end
end


echo "Running simulation of Ca2+ tiwe window with normal IP3"
maketimewindow     -500 600 10 F_


echo "Simulation has done!"
echo "Type 'quit' to exit GENESIS/kinetikit"

