%plot dynamics
clear

control        = load('pathdelcontrol_Ca.plot');
cutIP3         = load('pathdelfig4B_Ca.plot');
cutCaactIP3R   = load('pathdelfig4C_Ca.plot');
cutPLC         = load('pathdelfig4D_Ca.plot');
cutCaStore     = load('pathdelfig4E_Ca.plot');
cutCainactIP3R = load('pathdelfig4F_Ca.plot');

time = -0.5:0.001:1.5;

subplot(2,3,1)
plot(time,control(:,2), time,cutIP3(:,2),'k' )
axis([-0.05 1.05 0 10])
set(gca,'xtick',[0 0.2 0.4 0.6 0.8 1])
set(gca,'ytick',[0 2 4 6 8 10])
set(gca,'Tickdir','out')
box off
xlabel('Time (s)');
ylabel('[Ca2+]i (\muM)');
title('Delete IP3->IP3R');

subplot(2,3,2)
plot(time,control(:,2), time,cutCaactIP3R(:,2),'k' )
axis([-0.05 1.05 0 10])
set(gca,'xtick',[0 0.2 0.4 0.6 0.8 1])
set(gca,'ytick',[0 2 4 6 8 10])
set(gca,'Tickdir','out')
box off
xlabel('Time (s)');
ylabel('[Ca2+]i (\muM)');
title('Delete Ca2+->IP3R');

subplot(2,3,3)
plot(time,control(:,2), time,cutPLC(:,2),'k')
axis([-0.05 1.05 0 10])
set(gca,'xtick',[0 0.2 0.4 0.6 0.8 1])
set(gca,'ytick',[0 2 4 6 8 10])
set(gca,'Tickdir','out')
box off
xlabel('Time (s)');
ylabel('[Ca2+]i (\muM)');
title('Delete Ca2+->PLC');

subplot(2,3,5)
plot(time,control(:,2), time,cutCainactIP3R(:,2),'k')
axis([-0.05 1.05 0 50])
set(gca,'xtick',[0 0.2 0.4 0.6 0.8 1])
set(gca,'ytick',[0 10 20 30 40 50])
set(gca,'Tickdir','out')
box off
xlabel('Time (s)');
ylabel('[Ca2+]i (\muM)');
title('Delete Ca2+-|IP3R');


subplot(2,3,6)
plot(time,control(:,2), time,cutCaStore(:,2),'k')
axis([-0.05 1.05 0 50])
set(gca,'xtick',[0 0.2 0.4 0.6 0.8 1])
set(gca,'ytick',[0 10 20 30 40 50])
set(gca,'Tickdir','out')
box off
xlabel('Time (s)');
ylabel('[Ca2+]i (\muM)');
title('Delete CaStore depletion');