% plot transients of Ca, IP3, IP3Ropen, IP3Rinh, and CaStore

clear

file_head = 'CFat'
IP3extension = 'msec_IP3.plot'
IP3Rconc = 0.26667

% Including GENESIS plot files to MATLAB

for i = 1:13
    dt = i * 50 - 250
    IP3FileFullName = strcat(file_head, int2str(dt), IP3extension);
    IP3tmp = load(IP3FileFullName);
    IP3(:,i) = IP3tmp(:,2);
end
PFaloneIP3 = load('PFalone_IP3.plot')

% plot IP3
for i = 1:13
plot(-500:1000,IP3(1:1501,i),'b')
hold on
end
plot(-500:1000, PFaloneIP3(1:1501,2),'g')
axis([-500 1000 0 5])
set(gca,'xtick',[-500 -400 -300 -200 -100 0 100 200 300 400 500 600 700 800 900 1000])
set(gca,'ytick',[0 1 2 3 4 5])
set(gca,'Tickdir','out')
box off
xlabel('Time (ms)')
ylabel('[IP3] (\muM)')
