clear

Pamp = load('PeakAmp_IP3.txt');
Ptime = load('PeakTime_IP3.txt') * 1000;
control_peaktime = 220;
control_peakamplitude = 3.16;

colortype = [0,   0,   1;    %blue
             0,   1,   1;    %cyan
             1,   0,   0;    %red
             1, 0.5,   1];   %magenta
               
color = [3, 1,  3, 1, 1, 1, 1,  3, 1,  1, 1, 1]; %1;Known; 3:Unknown
 
 
subplot(2,1,1)
plot([0, 13], [control_peaktime, control_peaktime], 'k:')
hold on
for param = 1:12
    plot(param, Ptime(param+63,  6), 'Color', colortype(color(param)+1, :), 'Marker', 'o', 'LineStyle', 'none')
    hold on
    plot(param, Ptime(param+63,  5), 'Color', colortype(color(param)+1, :), 'Marker', '^', 'LineStyle', 'none')
    hold on
    plot(param, Ptime(param+63,  4), 'Color', colortype(color(param)+1, :), 'Marker', 'v', 'LineStyle', 'none')
    hold on
    plot(param, Ptime(param+63,  3), 'Color', colortype(color(param)+1, :), 'Marker', 's', 'LineStyle', 'none')
    hold on
    plot(param, Ptime(param+63,  2), 'Color', colortype(color(param)+1, :), 'Marker', 'd', 'LineStyle', 'none')
    hold on
    plot(param, Ptime(param+63,  1), 'Color', colortype(color(param)+1, :), 'Marker', 'p', 'LineStyle', 'none')
    hold on
    plot(param, Ptime(param+63,  7), 'Color', colortype(color(param)  , :), 'Marker', 'o', 'LineStyle', 'none')
    hold on
    plot(param, Ptime(param+63,  8), 'Color', colortype(color(param)  , :), 'Marker', '^', 'LineStyle', 'none')
    hold on
    plot(param, Ptime(param+63,  9), 'Color', colortype(color(param)  , :), 'Marker', 'v', 'LineStyle', 'none')
    hold on
    plot(param, Ptime(param+63, 10), 'Color', colortype(color(param)  , :), 'Marker', 's', 'LineStyle', 'none')
    hold on
    plot(param, Ptime(param+63, 11), 'Color', colortype(color(param)  , :), 'Marker', 'd', 'LineStyle', 'none')
    hold on
    plot(param, Ptime(param+63, 12), 'Color', colortype(color(param)  , :), 'Marker', 'p', 'LineStyle', 'none')
    hold on
end
axis([0 13 0 400])
set(gca,'xtick',[1 2 3 4 5 6 7 8 9 10 11 12])
set(gca,'XTickLabel','a5|a7|b6|b7|b10|b11|b12|c3|c5|e3|e6|e8')
set(gca,'ytick',[0 100 200 300 400])
title('Peak time of IP3 time course')
xlabel('Parameter ID for maximum enzyme velocities, Vmax')
ylabel('Time (ms)')


subplot(2,1,2)
plot([0, 13], [control_peakamplitude, control_peakamplitude], 'k:')
hold on
for param = 1:12
    plot(param, Pamp(param+63,  6), 'Color', colortype(color(param)+1, :), 'Marker', 'o', 'LineStyle', 'none')
    hold on
    plot(param, Pamp(param+63,  5), 'Color', colortype(color(param)+1, :), 'Marker', '^', 'LineStyle', 'none')
    hold on
    plot(param, Pamp(param+63,  4), 'Color', colortype(color(param)+1, :), 'Marker', 'v', 'LineStyle', 'none')
    hold on
    plot(param, Pamp(param+63,  3), 'Color', colortype(color(param)+1, :), 'Marker', 's', 'LineStyle', 'none')
    hold on
    plot(param, Pamp(param+63,  2), 'Color', colortype(color(param)+1, :), 'Marker', 'd', 'LineStyle', 'none')
    hold on
    plot(param, Pamp(param+63,  1), 'Color', colortype(color(param)+1, :), 'Marker', 'p', 'LineStyle', 'none')
    hold on
    plot(param, Pamp(param+63,  7), 'Color', colortype(color(param)  , :), 'Marker', 'o', 'LineStyle', 'none')
    hold on
    plot(param, Pamp(param+63,  8), 'Color', colortype(color(param)  , :), 'Marker', '^', 'LineStyle', 'none')
    hold on
    plot(param, Pamp(param+63,  9), 'Color', colortype(color(param)  , :), 'Marker', 'v', 'LineStyle', 'none')
    hold on
    plot(param, Pamp(param+63, 10), 'Color', colortype(color(param)  , :), 'Marker', 's', 'LineStyle', 'none')
    hold on
    plot(param, Pamp(param+63, 11), 'Color', colortype(color(param)  , :), 'Marker', 'd', 'LineStyle', 'none')
    hold on
    plot(param, Pamp(param+63, 12), 'Color', colortype(color(param)  , :), 'Marker', 'p', 'LineStyle', 'none')
    hold on
end
axis([0 13 0 10])
set(gca,'xtick',[1 2 3 4 5 6 7 8 9 10 11 12])
set(gca,'XTickLabel','a5|a7|b6|b7|b10|b11|b12|c3|c5|e3|e6|e8')
set(gca,'ytick',[0 2 4 6 8 10])
title('Peak amplitude of IP3 time course')
xlabel('Parameter ID for maximum enzyme velocities, Vmax')
ylabel('[IP3] (\muM)')
